Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
Weldmonkey
Posts: 2
Registered: ‎05-17-2009
My Device: Not Specified

Eclipse Plug In Problems

Ok first off I want to say that yes I have searched the forums and tried all suggested solution before posting, however I must be missing something...

 

No matter what I do or how many times I have reinstalled the plug in and components I cant seem to get this to work.  It always tells me to specify JRE Path.  It wont show any components in the Blackberry JRE menu, and the Blackberry menu on my main screen is grayed out.

 

I have installed the Following:

 

Eclipse Version 3.4.2

Blackberry Eclipse Plug In eJDE 1.0.0.67

Blackberry Component Pack 4.7.0.46

Sun Microsystems JDK 6 update 13

Blackberry JDE 4.7.0.41 Software (which I tried using instead of eclipse and cant get samples to build)

 

I am using Windows Vista Ultimate 64 bit.

 

I did go into the Eclipse Window->Preferences->Java->Installed JREs and added a new JRE and had it point to  net_rim_api.jar keeping jdk1.6.0_13 default home location..

 

I have probly reinstalled and deleted everything at least twice and followed several different setup and install procedures I have found the threads but still cant start a New Blackberry Project..

 

I hope someone can help...Thank you in advance...Im running out of Hair to pull out!! 

New Developer
Weldmonkey
Posts: 2
Registered: ‎05-17-2009
My Device: Not Specified

Re: Eclipse Plug In Problems

Bump Anyone have any ideas??
Developer
DAquilina
Posts: 587
Registered: ‎01-19-2010
My Device: BOLD 9700 OS5.0.0.x on Rogers Canada
My Carrier: Rogers

Re: Eclipse Plug In Problems

Now, I may be wrong, but as I understand it net_rim_api.jar isn't a JRE -- it's an API. Have you tried getting the latest JRE from java.sun.com and installing it?

----------------------------------------------------------------------------
chown -R us ./base
~J!NX
Developer
Adama
Posts: 77
Registered: ‎01-27-2010
My Device: Bold 9000

Re: Eclipse Plug In Problems

There are two things I'm noticing that could cause you problems.

 

1) This says that Eclipse 3.4.0 and 3.4.1 are supported.  You're using 3.4.2.  You can try downgrading.  

 

2) You're on 64 bit Vista.  Only 32 bit XP and Vista are supported.  I tried running the plugin on 64 bit Windows 7 and I was able to get it running but it was really buggy so I eventually switched back to 32 bit XP.